:root {
    --h1-color: black;
    --primary-text-color: #7a7a7a;
    --primary-background-color: white;
}

html,
body {
    height: 100%;
    margin: 0;
    font-family: Arial, Helvetica, sans-serif;
}

body {
    background-color: #f3f2ef;
}

nav {
    width: 100%;
    background-color: var(--primary-background-color);
    display: grid;
    grid-template-columns: auto auto minmax(300px, 500px) auto ;
    gap: 1rem;
    align-items: center;
    justify-content: center;
    padding-left: .5rem;
    padding-right: .5rem;
    align-content: space-between;
}

nav > img {
    width: 40px;
    height: 40px;
    border-radius: 5px;
}

p {
    color: var(--primary-text-color);
    font-size: 12px;
}

.search {
    background-color: #f1f1f1;
    width: 400px;
    padding: .5rem;
    border-radius: 5px;
    color: #7a7a7a;
}

.search>input {
    border: none;
    background: none;
}

.main-container {
    display: grid;
    gap: 1rem;
    grid-template-columns: minmax(125px, 1fr) minmax(250px, 2fr) minmax(125px, 1fr) ;
    padding: 1rem;
    margin-inline: auto;
    max-inline-size: 60%;
}

.misc-profile-content>ul {
    list-style-type: none;
    text-decoration: none;
    color: var(--primary-text-color);
    font-size: 12px;
}


.section-body {
    background-color: var(--primary-background-color);
    border-radius: 10px;    
    border: 1px solid lightgray;
    overflow-x: hidden;
}

.left-side-section {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.banner>img {
    width: 100%;
    height: 10%;
}

.profile,
.name-and-title {
    align-items: center;
    justify-content: center;
    display: flex;
    flex-direction: column;
}

.profile,
.profile-stats,
.profile-premium {
    gap: .5rem;
    border-bottom: 1px solid lightgray;
}

/* .banner,
.profile,
.profile-stats,
.profile-premium,
.profile-my-items {
    border-left: 1px solid lightgray;
    border-right: 1px solid lightgray;
} */

.name-and-title h2 {
    margin: 0;
}

.name-and-title p {
    text-align: center;
}

.profile-image {
    border: 3px solid var(--primary-background-color);
    height: 50px;
    width: 50px;
    border-radius: 50%;
    margin-top: -2rem;
}

.stat-block {
    padding: 0 10px;
    display: flex;
    justify-content: space-between;
}

.premium-block {
    padding: 10px;
    display: flex;
    flex-direction: column;
}

.premium-block>p {
    font-size: 11px;
}

.stat-block:hover,
.profile-premium:hover,
.profile-my-items:hover {
    background-color: lightgray;
}

.premium-block>p {
    margin: 0;
}

.stat-block>p,
.premium-link {
    font-weight: 600;
}

.link,
.premium-link:hover {
    color: rgb(56, 46, 196)
}

.profile-my-items {
    padding: .5rem;
    color: #7a7a7a;
    font-size: 11px;
    font-weight: 600;
    /* border-bottom: 1px solid lightgray;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px; */
}

.primary-nav-icons, .waffle-promo-icons {
    display: flex;
    flex-direction: row;
    gap: 1.5rem;
    align-items: center;
    height: 100%;
}

.primary-nav-icons {
    justify-content: flex-end;
}

.primary-nav-icons {
    padding-right: 10px;
    border-right: 1px solid lightgray;
}
.nav-icon {
    padding-top: 1rem;
    display: flex;
    flex-direction: column;
    color: var(--primary-text-color);
    align-items: center;
    justify-content: center;
    gap: .25rem;
    width: 40px;
}

.icon-text {
    font-size: 10px;
}

.active {
    color: black;
    border-bottom: 3px solid black;
}

.nav-icon > .icon {
    font-size: 20px;
}

.nav-icon:hover {
    color: black;
}
.user-icon {
    width: 20px;
    height: 20px;
    border-radius: 50%;
}

.promo {
    color: #ee0404;
    font-size: 10px;
    text-align: center;
}

.promo:hover {
    text-decoration: underline;
}

.waffle-promo-icons {
    height: 100%;
}